View Issue Details

IDProjectCategoryView StatusLast Update
0003164SymmetricDS ProImprovementpublic2017-07-14 10:07
ReportermmichalekAssigned Tokstojanovska 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.0Fixed in Version3.9.0 
Summary0003164: Disallow the use of whitespace, and other URL unfriendly characters in external ids in the node setup wizard.
DescriptionCurrently the node setup wizard (Manage > Nodes > Add...) allows the user to enter white space characters which lead to the generation of an invalidate sync URL.

We should add some validation to prevent the use of whitespace or characters such as & in the external id when using the wizard.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2017-06-22 09:18 mmichalek New Issue
2017-06-22 09:18 mmichalek Status new => assigned
2017-06-22 09:18 mmichalek Assigned To => kstojanovska
2017-06-22 09:19 mmichalek Summary Disallow the use of whitespace, and other URL unfriendly characters in external id's in the node setup wizard. => Disallow the use of whitespace, and other URL unfriendly characters in external ids in the node setup wizard.
2017-06-26 15:46 kstojanovska Status assigned => resolved
2017-06-26 15:46 kstojanovska Fixed in Version => 3.9.0
2017-06-26 15:46 kstojanovska Resolution open => fixed
2017-07-14 10:07 jwilmer Status resolved => closed